Bug 9324 - cannot build with automake 1.13
Summary: cannot build with automake 1.13
Status: RESOLVED FIXED
Alias: None
Product: Runtime
Classification: Mono
Component: packaging (show other bugs)
Version: unspecified
Hardware: PC Linux
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2013-01-07 11:37 UTC by Andrzej Giniewicz
Modified: 2013-01-09 07:17 UTC (History)
5 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Andrzej Giniewicz 2013-01-07 11:37:58 UTC
New toolchain, which is default for some distributions (like Arch Linux) makes it hard to build Mono, there are errors:

> runtime/Makefile.am:2: error: support for Cygnus-style trees has been removed

see http://lists.gnu.org/archive/html/automake-patches/2012-04/msg00228.html for reference.

There are also other issues that cause troubles, like:

configure.in:17: error: 'AM_CONFIG_HEADER': this macro is obsolete.
You should use the 'AC_CONFIG_HEADERS' macro instead.
/usr/share/aclocal-1.13/obsolete-err.m4:12: AM_CONFIG_HEADER is expanded from...

configure.in:365: error: 'AM_PROG_CC_STDC': this macro is obsolete.
    You should simply use the 'AC_PROG_CC' macro instead.
    Also, your code should no longer depend upon 'am_cv_prog_cc_stdc',
    but upon 'ac_cv_prog_cc_stdc'.

which were promoted to errors from warnings in newer autoconf (don't know exact version).
Comment 1 Zoltan Varga 2013-01-08 17:32:59 UTC
Fixed in master/mono-2-10.
Comment 2 harold_reina75 2013-01-08 22:24:32 UTC
Debian stable, testing and sid use automake 1.11.6 which generates a compile error with the patch created for mono 3.0.3
Comment 3 Zoltan Varga 2013-01-09 03:28:33 UTC
Could you paste the error message ?
Comment 4 harold_reina75 2013-01-09 05:26:36 UTC
[/opt/mono] ~/Git/mono @ ./autogen.sh --prefix=/opt/mono
Running libtoolize...
libtoolize: putting auxiliary files in `.'.
libtoolize: copying file `./ltmain.sh'
libtoolize: putting macros in AC_CONFIG_MACRO_DIR, `m4'.
libtoolize: copying file `m4/libtool.m4'
libtoolize: copying file `m4/ltoptions.m4'
libtoolize: copying file `m4/ltsugar.m4'
libtoolize: copying file `m4/ltversion.m4'
libtoolize: copying file `m4/lt~obsolete.m4'
Running aclocal -I m4 -I .  ...
Running automake --gnu  ...
configure.in:9: installing `./config.guess'
configure.in:9: installing `./config.sub'
configure.in:16: installing `./install-sh'
configure.in:16: installing `./missing'
ikvm-native/Makefile.am: installing `./depcomp'
configure.in:17: required file `config.h.in' not found
**Error**: automake failed.
[/opt/mono] ~/Git/mono @ automake --version
automake (GNU automake) 1.11.6
Copyright (C) 2011 Free Software Foundation, Inc.
License GPLv2+: GNU GPL version 2 or later <http://gnu.org/licenses/gpl-2.0.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Tom Tromey <tromey@redhat.com>
       and Alexandre Duret-Lutz <adl@gnu.org>.
[/opt/mono] ~/Git/mono @
Comment 5 harold_reina75 2013-01-09 05:28:37 UTC
eliminating the patch for automake 1.3 works perfectly
Comment 6 Zoltan Varga 2013-01-09 05:36:07 UTC
Should be fixed in master/2.10. The changes broke a check in autogen.sh so autoheader was not ran.
Comment 7 harold_reina75 2013-01-09 07:03:49 UTC
esos mismo cambios se deben realizar en el autogen.sh de eglib "eglib/autogen.sh" para que eglib compile
Comment 8 harold_reina75 2013-01-09 07:06:29 UTC
these same changes should be made in the eglib autogen.sh "eglib / autogen.sh" to compile eglib line 116
if grep "^ AM_CONFIG_HEADER" configure.ac> / dev / null; then
by
if grep "^ AC_CONFIG_HEADERS" configure.ac> / dev / null; then
Comment 9 Zoltan Varga 2013-01-09 07:17:16 UTC
Done.